<?php
/**
 * Created by PhpStorm.
 * User: leonardooliveira
 * Date: 08/03/2016
 * Time: 08:47
 */

namespace Teknisa\FIN\Modules\ContaReceber\Factory;

use Faturamento\Entities\Tipoajreceber;
class Rec41200TipoAjusteReceberFactory {

    public function salvarTipoAjuste(
        $nrorg, $cdajuctrec, $dsajuctrec, $idajuctrec, $cdcontctbl, $cdhistpadr, $idtpajreceber, $idctbajctrec
    ){
        /** @var Tipoajreceber $tipoAjuste */
        $tipoAjuste = $this->buscaTipoAjuste($nrorg, $cdajuctrec);

        if(!$tipoAjuste instanceof Tipoajreceber){
            $tipoAjuste = new Tipoajreceber();
            $tipoAjuste->setNrorg($nrorg);
            $tipoAjuste->setCdajuctrec($cdajuctrec);
            $tipoAjuste->setIdajuctrec($idajuctrec);
            $tipoAjuste->setIdtpajreceber($idtpajreceber);
            $tipoAjuste->setIdctbajctrec($idctbajctrec);
        }

        $tipoAjuste->setDsajuctrec($dsajuctrec);
        $tipoAjuste->setCdcontctbl($cdcontctbl);
        $tipoAjuste->setCdhistpadr($cdhistpadr);

        return $tipoAjuste;
    }

    public function buscaTipoAjuste($nrorg, $cdajuctrec){
        /** @var Tipoajreceber $tipoAjuste */
        $tipoAjuste = Tipoajreceber::findOneByNrorgAndCdajuctrec($nrorg, $cdajuctrec);

        return $tipoAjuste;
    }

    public function deleteTipoAjuste($nrorg, $cdajuctrec){
        $tipoAjuste = $this->buscaTipoAjuste($nrorg, $cdajuctrec);
        $tipoAjuste->delete();
    }

} 